//
//  XTHtmlTagTab.m
//  TadsTerp
//
//  Created by Rune Berg on 05/04/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTHtmlTagTab.h"
#import "XTOutputFormatterProtocol.h"


@implementation XTHtmlTagTab

+ (NSString *)name
{
	return @"tab";
}

+ (NSArray *)allowedAttributes
{
	return @[@"multiple"];
}

+ (BOOL)standalone
{
	return YES;
}

- (NSArray *)dispatchToFormatter:(NSObject<XTOutputFormatterProtocol> *)formatter
{
	return [formatter handleHtmlTagTab:self];
	//TODO !!! trans from "start of line" to "after tab at start of line" fails - goes to "in text instead"
}

@end
